Download sandbox data
curl --request GET \
--url https://api.klavis.ai/local-sandbox/{local_sandbox_id}/dump \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klavis.ai/local-sandbox/{local_sandbox_id}/dump"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/local-sandbox/{local_sandbox_id}/dump', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/local-sandbox/{local_sandbox_id}/dump', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"download_url": "<string>",
"expires_in_minutes": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Local Sandbox
Download sandbox data
Creates a tar.gz archive of the current workspace and provides a temporary download URL. Useful for saving your work or exporting the sandbox state.
GET
/
local-sandbox
/
{local_sandbox_id}
/
dump
Download sandbox data
curl --request GET \
--url https://api.klavis.ai/local-sandbox/{local_sandbox_id}/dump \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klavis.ai/local-sandbox/{local_sandbox_id}/dump"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/local-sandbox/{local_sandbox_id}/dump', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/local-sandbox/{local_sandbox_id}/dump', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"download_url": "<string>",
"expires_in_minutes": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your Klavis AI API key.
Path Parameters
The local sandbox identifier
Query Parameters
GCS bucket region for the download URL. Use 'asia' for users in China/Asia for faster downloads from a nearby bucket. Defaults to 'us'.
Available options:
us, asia 